> ## Documentation Index
> Fetch the complete documentation index at: https://docs.atollhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Unlink a project external reference



## OpenAPI

````yaml /openapi.json delete /api/orgs/{id}/projects/{projectId}/external-references/{referenceId}
openapi: 3.1.0
info:
  title: Atoll API
  version: 1.0.0
  description: >-
    REST API for Atoll project management, agent collaboration, strategy
    tracking, and integrations.
servers:
  - url: https://atollhq.com
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Organizations
  - name: Projects
  - name: Project access
  - name: Issues
  - name: Issue details
  - name: Milestones
  - name: Artifacts
  - name: Strategy
  - name: Members and agents
  - name: Planning
  - name: Setup
  - name: Integrations and billing
  - name: Notifications and public
  - name: Private inbox
  - name: Agent executions
  - name: Human attention
paths:
  /api/orgs/{id}/projects/{projectId}/external-references/{referenceId}:
    delete:
      tags:
        - Projects
      summary: Unlink a project external reference
      operationId: delete_api_orgs_id_projects_projectId_external_references_referenceId
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: projectId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: referenceId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: External reference unlinked
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExternalReferenceUnlinkResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - bearerAuth: []
components:
  schemas:
    ExternalReferenceUnlinkResponse:
      type: object
      required:
        - externalReference
      properties:
        externalReference:
          type: object
          required:
            - id
            - link_id
            - target_type
            - target_id
          properties:
            id:
              type: string
              format: uuid
            link_id:
              type: string
              format: uuid
            target_type:
              type: string
              enum:
                - issue
                - project
            target_id:
              type: string
              format: uuid
          additionalProperties: false
      additionalProperties: false
    Error:
      type: object
      description: >-
        Common error responses contain error. Shared missing-auth and
        unknown-API responses also contain a stable code.
      properties:
        error:
          type: string
        code:
          type: string
      required:
        - error
      examples:
        - error: Unauthorized
          code: unauthorized
        - error: Not found
          code: not_found
      additionalProperties: true
  responses:
    Unauthorized:
      description: Missing or invalid authentication
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Authenticated but not allowed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: Resource not found or not visible
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    ServerError:
      description: Unexpected server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: sk_atoll_<key>

````